#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    
    long long n,m;
    
    cin >> n;
    cin >> m;
    
    cout << n*m-((n-2)*(m-2)+1)/2 << endl;

    return 0;
}